screen LocationDisplay(pLocation, pPreviousLocation):
    if boss_betray and not passage_open:
        timer wormy_can_help_time action SetVariable("wormy_can_help", True)

    use expression map[pLocation]["screen"] pass (pPreviousLocation)

    if "bottom" in map[pLocation]["dest"] and (len(map[pLocation]["dest"]["bottom"])==1 or eval(map[pLocation]["dest"]["bottom"][1])):
        use BtnMovementBottom()
    if "top" in map[pLocation]["dest"] and (len(map[pLocation]["dest"]["top"])==1 or eval(map[pLocation]["dest"]["top"][1])):
        use BtnMovementTop()
    if "right" in map[pLocation]["dest"] and (len(map[pLocation]["dest"]["right"])==1 or eval(map[pLocation]["dest"]["right"][1])):
        use BtnMovementRight()
    if "left" in map[pLocation]["dest"] and (len(map[pLocation]["dest"]["left"])==1 or eval(map[pLocation]["dest"]["left"][1])):
        use BtnMovementLeft()

define btn_movement_alpha = 0.4
define btn_movement_alpha_hover = 0.6

screen BtnMovementRight():
    button:
        ## Button Right
        align (1.0, 0.5)
        action NullAction()
        hovered SetScreenVariable("destination", "right")
        unhovered SetScreenVariable("destination", "none")
        mouse "right" 
        frame:
            null
            background Transform("screen/button_move.png", alpha=btn_movement_alpha)
            hover_background Transform("screen/button_move.png", alpha=btn_movement_alpha_hover)
            xysize (309,1080)
screen BtnMovementLeft():
    button:
        ## Button Left 
        align (0.0, 0.5)
        action NullAction()
        hovered SetScreenVariable("destination", "left")
        unhovered SetScreenVariable("destination", "none")
        mouse "left"
        frame:
            null
            background Transform("screen/button_move_left.png", alpha=btn_movement_alpha)
            hover_background Transform("screen/button_move_left.png", alpha=btn_movement_alpha_hover)
            xysize (309,1080)
screen BtnMovementTop():
    button:
        ## Button Top
        align (0.5, 0.0)
        action NullAction()
        hovered SetScreenVariable("destination", "top")
        unhovered SetScreenVariable("destination", "none")
        mouse "top"
        frame:
            null
            background Transform("screen/button_move_top.png", alpha=btn_movement_alpha)
            hover_background Transform("screen/button_move_top.png", alpha=btn_movement_alpha_hover)
            xysize (1920, 217)
screen BtnMovementBottom():
    button:
        ## Button Bottom
        align (0.5, 1.0)
        action NullAction()
        hovered SetScreenVariable("destination", "bottom")
        unhovered SetScreenVariable("destination", "none")
        mouse "down"
        frame:
            null
            background Transform("screen/button_move_bottom.png", alpha=btn_movement_alpha)
            hover_background Transform("screen/button_move_bottom.png", alpha=btn_movement_alpha_hover)
            xysize (1920, 217)
            xalign 0.5